## python-pycadf 0.4.1

=== requirements.txt ===
Babel>=1.3
iso8601>=0.1.8
netaddr>=0.7.6
oslo.config>=1.2.0
oslo.messaging>=1.3.0a4
pytz>=2010h
six>=1.4.1
WebOb>=1.2.3

=== debian/changelog ===
python-pycadf (0.4.1-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: X_AUTH_TOKEN disclosure
    - debian/patches/CVE-2014-4615.patch: filter out token in
      pycadf/middleware/notifier.py.
    - CVE-2014-4615

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Jul 2014 14:53:47 -0400

python-pycadf (0.4.1-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/control:
    - Add python-messaging as a dependency.
    - Use python-oslosphinx.
    - Add python-mox as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 23 Mar 2014 20:40:29 -0400

python-pycadf (0.2-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:44 +0000

python-pycadf (0.2-1) unstable; urgency=low

  * New upstream release.
  * Added --testr-args='--subunit  ' when calling testr

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 15:03:34 +0800

python-pycadf (0.1.5-1) unstable; urgency=low

  * Initial release. (Closes: #721906)

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2013 00:29:51 +0800

=== debian/control ===
Source: python-pycadf
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures,
                     python-iso8601,
                     python-netaddr,
                     python-oslo.config,
                     python-oslosphinx,
                     python-oslo.messaging,
                     python-pbr (>= 0.5.21),
                     python-mock,
                     python-mox,
                     python-six,
                     python-subunit,
                     python-testscenarios (>= 0.4),
                     python-testtools,
                     python-tz,
                     python-webob (>= 1.2.3),
                     testrepository (>=0.0.17)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pycadf.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pycadf.git
Homepage: https://launchpad.net/pycadf

Package: python-pycadf
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel,
         python-iso8601,
         python-netaddr,
         python-oslo.config,
         python-oslo.messaging,
         python-six,
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: implementation of DMTF Cloud Audit (CADF) data model
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/stackforge/pycadf.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	rm -rf $(CURDIR)/debian/python-pycadf/usr/etc
	install -D -m 0664 etc/pycadf/api_audit_map.conf $(CURDIR)/debian/python-pycadf/etc/pycadf/api_audit_map.conf

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	#python setup.py testr --slowest --testr-args='--subunit  '
	testr init && testr run
endif

## python-pycadf 0.5.1

=== debian/changelog ===
python-pycadf (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jul 2014 00:22:04 +0800

python-pycadf (0.5-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 07:59:24 +0000

python-pycadf (0.5-1) experimental; urgency=medium

  [ gustavo panizzo ]
  * New upstream release.
  * New build dependencies python-sphinx, python-docutils.
  * Increased the version required of python-six, python-iso8601.

  [ Thomas Goirand ]
  * Some more (buid-)depends fixes.
  * Bumped Standards-Version to 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2014 08:21:58 +0000

python-pycadf (0.4.1-2) experimental; urgency=low

  * Missing build-depends: subunit.

 -- Thomas Goirand <zigo@debian.org>  Sat, 22 Mar 2014 15:46:50 +0800

python-pycadf (0.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Updated URLs of the project in debian/rules, debian/copyright and
    debian/control.
  * Review of (build-)dependencies.
  * Better testr / subunit console output.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Mar 2014 15:10:28 +0800

=== debian/control ===
Source: python-pycadf
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-docutils,
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-mock (>= 1.0),
                     python-mox,
                     python-netaddr,
                     python-oslo.config (>= 1.2.0),
                     python-oslo.messaging (>= 1.3.0~a9),
                     python-oslosphinx,
                     python-pbr (>= 0.5.21),
                     python-six (>= 1.5.2),
                     python-sphinx,
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     python-tz,
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>=0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pycadf.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pycadf.git
Homepage: https://github.com/openstack/pycadf

Package: python-pycadf
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.9),
         python-netaddr,
         python-oslo.config (>= 1.2.0),
         python-oslo.messaging (>= 1.3.0~a9),
         python-six (>= 1.5.2),
         python-tz,
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: implementation of DMTF Cloud Audit (CADF) data model
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = git://github.com/stackforge/pycadf.git
+UPSTREAM_GIT = git://github.com/openstack/pycadf.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -15,6 +15,9 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	#python setup.py testr --slowest --testr-args='--subunit  '
-	testr init && testr run
+	set -e && \
+		TEMP_REZ=`mktemp -t` ; \
+		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ;
 endif

## python-pycadf 0.6.0

=== requirements.txt ===
Babel>=1.3
iso8601>=0.1.9
netaddr>=0.7.6
oslo.config>=1.4.0.0a3
oslo.messaging>=1.4.0.0a3
posix_ipc
pytz>=2010h
six>=1.7.0
WebOb>=1.2.3

=== debian/changelog ===
python-pycadf (0.6.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sun, 07 Sep 2014 03:02:52 -0400

python-pycadf (0.6.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/rules: Install additional audit map files.

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 06 Sep 2014 16:15:48 -0400

python-pycadf (0.5.1-0ubuntu1) utopic; urgency=medium

  * New upstream releae. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jun 2014 09:27:53 -0400

## python-pycadf 0.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel>=1.3
oslo.config>=1.6.0  # Apache-2.0
oslo.context>=0.1.0                     # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
pytz>=2013.6
six>=1.7.0
WebOb>=1.2.3

=== debian/changelog ===
python-pycadf (0.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo-3:
    - d/control: Align version requirements with upstream.
    - d/control: Add new dependencies on oslo-config, oslo-context,
      oslo-i18n, oslo-serialization and oslotest.
    - d/control: Drop dependencies on iso6801 and netaddr.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Mar 2015 12:42:36 +0000

=== debian/control ===
Source: python-pycadf
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures,
                     python-mock,
                     python-oslo-config (>= 1:1.6.0),
                     python-oslo-context (>= 0.1.0),
                     python-oslo-i18n (>= 1.3.0),
                     python-oslo-messaging (>= 1.6.0),
                     python-oslo-serialization (>= 1.2.0),
                     python-oslosphinx,
                     python-oslotest,
                     python-pbr (>= 0.5.21),
                     python-six (>= 1.7.0),
                     python-subunit,
                     python-testtools,
                     python-tz,
                     python-webob (>= 1.2.3),
                     testrepository (>=0.0.17)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pycadf.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pycadf.git
Homepage: https://launchpad.net/pycadf

Package: python-pycadf
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel,
         python-oslo-config (>= 1:1.6.0),
         python-oslo-context (>= 0.1.0),
         python-oslo-i18n (>= 1.3.0),
         python-oslo-serialization (>= 1.2.0),
         python-oslosphinx,
         python-six (>= 1.7.0),
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: implementation of DMTF Cloud Audit (CADF) data model
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/stackforge/pycadf.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	rm -rf $(CURDIR)/debian/python-pycadf/usr/etc
	install -D -m 0664 etc/pycadf/cinder_api_audit_map.conf $(CURDIR)/debian/python-pycadf/etc/pycadf/cinder_api_audit_map.conf
	install -D -m 0664 etc/pycadf/glance_api_audit_map.conf $(CURDIR)/debian/python-pycadf/etc/pycadf/glance_api_audit_map.conf
	install -D -m 0664 etc/pycadf/neutron_api_audit_map.conf $(CURDIR)/debian/python-pycadf/etc/pycadf/neutron_api_audit_map.conf
	install -D -m 0664 etc/pycadf/nova_api_audit_map.conf $(CURDIR)/debian/python-pycadf/etc/pycadf/nova_api_audit_map.conf


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	#python setup.py testr --slowest --testr-args='--subunit  '
	testr init && testr run
endif

## python-pycadf 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=2.1.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
pytz>=2013.6
six>=1.9.0

=== debian/changelog ===
python-pycadf (1.1.0-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.
  * Refresh patches.

 -- James Page <james.page@ubuntu.com>  Thu, 17 Sep 2015 11:05:54 +0100

python-pycadf (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Mar 2015 14:44:59 +0100

python-pycadf (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just right before the freeze.
  * Updated (build-)depends for this release.
  * Install the *_api_audit_map.conf correctly (previously, there was only a
    single file, now there's 4...).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 15:43:39 +0800

=== debian/control ===
Source: python-pycadf
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.3),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-oslo.config (>= 1:2.1.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-six (>= 1.9.0),
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-tz,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pycadf.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pycadf.git
Homepage: https://github.com/openstack/pycadf

Package: python-pycadf
Architecture: all
Depends: python-oslo.config (>= 1:2.1.0),
         python-oslo.serialization (>= 1.4.0),
         python-pbr (>= 1.3),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Description: implementation of DMTF Cloud Audit (CADF) data model
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/pycadf.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	rm -rf $(CURDIR)/debian/python-pycadf/usr/etc
	for i in cinder_api_audit_map.conf glance_api_audit_map.conf neutron_api_audit_map.conf nova_api_audit_map.conf ; do \
		install -D -m 0664 etc/pycadf/$$i $(CURDIR)/debian/python-pycadf/etc/pycadf/$$i ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e && \
		TEMP_REZ=`mktemp -t` ; \
		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
endif

## python-pycadf 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=3.7.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
pytz>=2013.6 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-pycadf (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated fix-pytz-version-in-requirements.txt.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 19:58:02 +0000

python-pycadf (2.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 19:54:43 +0000

python-pycadf (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased fix-pytz-version-in-requirements.txt.patch.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Dec 2015 11:43:14 +0100

python-pycadf (1.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:29:42 +0000

python-pycadf (1.1.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Fixed watching to use github tag and not broken pypi.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Oct 2015 17:33:25 +0200

python-pycadf (1.1.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Align (Build-)Depends with upstream.
  * Refresh patches.

 -- James Page <james.page@ubuntu.com>  Thu, 17 Sep 2015 11:05:54 +0100

=== debian/control ===
Source: python-pycadf
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.3),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.3),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-six (>= 1.9.0),
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 1.3.1),
                     python3-oslo.config (>= 1:3.7.0),
                     python3-oslo.serialization (>= 2.0.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-six (>= 1.9.0),
                     python3-subunit (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     python3-tz,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pycadf.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-pycadf.git
Homepage: https://github.com/openstack/pycadf

Package: python-pycadf
Architecture: all
Depends: pycadf-common (= ${binary:Version}),
         python-debtcollector (>= 1.2.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.serialization (>= 2.0.0),
         python-pbr (>= 1.3),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: implementation of DMTF Cloud Audit (CADF) data model - Python 2.7
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.
 .
 This package contains the Python 2.7 module.

Package: python3-pycadf
Architecture: all
Depends: pycadf-common (= ${binary:Version}),
         python3-debtcollector (>= 1.2.0),
         python3-oslo.config (>= 1:3.7.0),
         python3-oslo.serialization (>= 2.0.0),
         python3-pbr (>= 1.3),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: implementation of DMTF Cloud Audit (CADF) data model - 3.x
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.
 .
 This package contains the Python 3.x module.

Package: pycadf-common
Architecture: all
Breaks: python-pycadf (<= 1.1.0-1),
Replaces: python-pycadf (<= 1.1.0-1),
Depends: ${misc:Depends},
Description: implementation of DMTF Cloud Audit (CADF) data model - common files
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.
 .
 This package contains the common files for both Python 2.7 and 3.x modules.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/pycadf.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pycadf; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pycadf; \
	done
	rm -rf $(CURDIR)/debian/python*-pycadf/usr/etc
	for i in ceilometer_api_audit_map.conf cinder_api_audit_map.conf glance_api_audit_map.conf neutron_api_audit_map.conf nova_api_audit_map.conf trove_api_audit_map.conf ; do \
		install -D -m 0664 etc/pycadf/$$i $(CURDIR)/debian/pycadf-common/etc/pycadf/$$i ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-pycadf 2.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=3.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
pytz>=2013.6 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-pycadf (2.4.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 23:06:44 +0000

python-pycadf (2.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased and removed patches.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 14:20:22 +0200

python-pycadf (2.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Fixed trashed binary symbols in neutron_api_audit_map.conf

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 15:41:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 23~),
                python-all,
@@ -15,9 +15,9 @@
                python3-setuptools,
 Build-Depends-Indep: python-coverage (>= 3.6),
                      python-debtcollector (>= 1.2.0),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.serialization (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
@@ -26,8 +26,8 @@
                      python-testtools (>= 1.4.0),
                      python-tz,
                      python3-debtcollector (>= 1.2.0),
-                     python3-fixtures (>= 1.3.1),
-                     python3-oslo.config (>= 1:3.7.0),
+                     python3-fixtures (>= 3.0.0),
+                     python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.serialization (>= 2.0.0),
                      python3-oslotest (>= 1:1.10.0),
                      python3-six (>= 1.9.0),
@@ -36,16 +36,16 @@
                      python3-tz,
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pycadf.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-pycadf.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pycadf?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-pycadf -b debian/newton
 Homepage: https://github.com/openstack/pycadf
 
 Package: python-pycadf
 Architecture: all
 Depends: pycadf-common (= ${binary:Version}),
          python-debtcollector (>= 1.2.0),
-         python-oslo.config (>= 1:3.7.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.serialization (>= 2.0.0),
          python-pbr (>= 1.3),
          python-six (>= 1.9.0),
@@ -64,7 +64,7 @@
 Architecture: all
 Depends: pycadf-common (= ${binary:Version}),
          python3-debtcollector (>= 1.2.0),
-         python3-oslo.config (>= 1:3.7.0),
+         python3-oslo.config (>= 1:3.14.0),
          python3-oslo.serialization (>= 2.0.0),
          python3-pbr (>= 1.3),
          python3-six (>= 1.9.0),

## python-pycadf 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
pytz>=2013.6 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-pycadf (2.5.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-pytz-version-in-requirements.txt.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 11:43:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-pycadf
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9~),
                dh-python,
                openstack-pkg-tools (>= 23~),
                python-all,
@@ -13,13 +14,13 @@
                python3-all,
                python3-pbr (>= 1.3),
                python3-setuptools,
-Build-Depends-Indep: python-coverage (>= 3.6),
+Build-Depends-Indep: python-coverage (>= 4.0),
                      python-debtcollector (>= 1.2.0),
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python-subunit (>= 0.0.18),
@@ -37,8 +38,8 @@
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pycadf?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-pycadf -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pycadf
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pycadf
 Homepage: https://github.com/openstack/pycadf
 
 Package: python-pycadf

## python-pycadf 2.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=3.22.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
pytz>=2013.6 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-pycadf (2.6.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-pytz-version-in-requirements.txt.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 15:33:28 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                      python-debtcollector (>= 1.2.0),
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.config (>= 1:3.22.0),
                      python-oslo.serialization (>= 2.0.0),
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.10.0),
@@ -28,7 +28,7 @@
                      python-tz,
                      python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 3.0.0),
-                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.config (>= 1:3.22.0),
                      python3-oslo.serialization (>= 2.0.0),
                      python3-oslotest (>= 1:1.10.0),
                      python3-six (>= 1.9.0),
@@ -46,7 +46,7 @@
 Architecture: all
 Depends: pycadf-common (= ${binary:Version}),
          python-debtcollector (>= 1.2.0),
-         python-oslo.config (>= 1:3.14.0),
+         python-oslo.config (>= 1:3.22.0),
          python-oslo.serialization (>= 2.0.0),
          python-pbr (>= 1.3),
          python-six (>= 1.9.0),
@@ -65,7 +65,7 @@
 Architecture: all
 Depends: pycadf-common (= ${binary:Version}),
          python3-debtcollector (>= 1.2.0),
-         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.config (>= 1:3.22.0),
          python3-oslo.serialization (>= 2.0.0),
          python3-pbr (>= 1.3),
          python3-six (>= 1.9.0),

## python-pycadf 2.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=4.6.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
pytz>=2013.6 # MIT
six>=1.10.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-pycadf (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:35 +0000

python-pycadf (2.7.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Fixed trashed binary symbols in neutron_api_audit_map.conf
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Using pkgos-dh_auto_install.
  * Drop fix-pytz-version-in-requirements.txt.patch.
  * Drop fix-trashed-binary-symbols-in-neutron_api_audit_map.conf.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 11:30:15 +0000

=== debian/control ===
Source: python-pycadf
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 1.3),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 1.3),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage (>= 3.6),
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 1.3.1),
 python-hacking (>= 0.10.0),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:4.6.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslotest (>= 1:1.10.0),
 python-six (>= 1.9.0),
 python-subunit (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python-tz,
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 1.3.1),
 python3-oslo.config (>= 1:4.6.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslotest (>= 1:1.10.0),
 python3-six (>= 1.9.0),
 python3-subunit (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-tz,
 subunit (>= 0.0.18),
 testrepository (>= 0.0.18),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pycadf
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pycadf.git
Homepage: https://github.com/openstack/pycadf

Package: pycadf-common
Architecture: all
Breaks:
 python-pycadf (<= 1.1.0-1),
Replaces:
 python-pycadf (<= 1.1.0-1),
Depends:
 ${misc:Depends},
Description: implementation of DMTF Cloud Audit (CADF) data model - common files
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.
 .
 This package contains the common files for both Python 2.7 and 3.x modules.

Package: python-pycadf
Architecture: all
Depends:
 pycadf-common (= ${binary:Version}),
 python-debtcollector (>= 1.2.0),
 python-oslo.config (>= 1:4.6.0),
 python-oslo.serialization (>= 2.18.0),
 python-pbr (>= 1.3),
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Description: implementation of DMTF Cloud Audit (CADF) data model - Python 2.7
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.
 .
 This package contains the Python 2.7 module.

Package: python3-pycadf
Architecture: all
Depends:
 pycadf-common (= ${binary:Version}),
 python3-debtcollector (>= 1.2.0),
 python3-oslo.config (>= 1:4.6.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 1.3),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Description: implementation of DMTF Cloud Audit (CADF) data model - 3.x
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/pycadf.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install
	rm -rf $(CURDIR)/debian/python*-pycadf/usr/etc
	for i in `ls etc/pycadf/*.conf` ; do \
		BASENAME=`basename $$i` ; \
		install -D -m 0664 etc/pycadf/$$BASENAME $(CURDIR)/debian/pycadf-common/etc/pycadf/$$BASENAME ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-pycadf 2.9.0

=== debian/changelog ===
python-pycadf (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:13:17 +0200

python-pycadf (2.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Removed Breaks+Replaces after Buster release.
  * Add missing python3-mock build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 22:07:05 +0100

=== debian/control ===
Source: python-pycadf
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.serialization,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 python3-tz,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pycadf
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pycadf.git
Homepage: https://github.com/openstack/pycadf

Package: pycadf-common
Architecture: all
Depends:
 ${misc:Depends},
Description: implementation of DMTF Cloud Audit (CADF) data model - common files
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.
 .
 This package contains the common files for both Python 2.7 and 3.x modules.

Package: python3-pycadf
Architecture: all
Depends:
 pycadf-common (= ${binary:Version}),
 python3-debtcollector,
 python3-oslo.config,
 python3-oslo.serialization,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: implementation of DMTF Cloud Audit (CADF) data model - 3.x
 pyCADF is an implementation of DMTF Cloud Audit (CADF) data model.
 DMTF Cloud Management Initiative is promoting the work of the Cloud Management
 Work Group, the Cloud Auditing Data Federation Working Group, the System
 Virtualization, Partitioning, Clustering Working Group and the Software
 Entitlement Working Group. See http://dmtf.org for details.
 .
 This package contains the Python 3.x module.

## python-pycadf 2.10.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=5.2.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
pytz>=2013.6 # MIT
six>=1.10.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-pycadf (2.10.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:09:45 +0200

python-pycadf (2.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 21:55:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -27,7 +27,7 @@
  python3-testtools,
  python3-tz,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pycadf
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pycadf.git
 Homepage: https://github.com/openstack/pycadf

## python-pycadf 3.0.0

=== debian/changelog ===
python-pycadf (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:26:34 +0200

python-pycadf (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 10:42:52 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  python3-oslo.config,
  python3-oslo.serialization,
  python3-six,
+ python3-sphinxcontrib.apidoc,
  python3-stestr,
  python3-subunit,
  python3-testtools,

## python-pycadf 3.1.1

=== debian/changelog ===
python-pycadf (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 17:18:09 +0200

python-pycadf (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:48:02 +0200

python-pycadf (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 09:07:20 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-debtcollector,
  python3-fixtures,
  python3-hacking,
- python3-mock,
  python3-openstackdocstheme,
  python3-oslo.config,
  python3-oslo.serialization,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/pycadf.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-pycadf/usr/etc
	for i in `ls etc/pycadf/*.conf` ; do \
		BASENAME=`basename $$i` ; \
		install -D -m 0664 etc/pycadf/$$BASENAME $(CURDIR)/debian/pycadf-common/etc/pycadf/$$BASENAME ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif
